import request from '@/utils/request'

// 查询快递公司列表
export function listSiteDelivery(query) {
  return request({
    url: '/system/SiteDelivery/list',
    method: 'get',
    params: query
  })
}

// 查询快递公司详细
export function getSiteDelivery(id) {
  return request({
    url: '/system/SiteDelivery/' + id,
    method: 'get'
  })
}

// 新增快递公司
export function addSiteDelivery(data) {
  return request({
    url: '/system/SiteDelivery',
    method: 'post',
    data: data
  })
}

// 修改快递公司
export function updateSiteDelivery(data) {
  return request({
    url: '/system/SiteDelivery',
    method: 'put',
    data: data
  })
}

// 删除快递公司
export function delSiteDelivery(id) {
  return request({
    url: '/system/SiteDelivery/' + id,
    method: 'delete'
  })
}
